---
title: TouchEvent.altKey
slug: Web/API/TouchEvent/altKey
tags:
  - API
  - DOM
  - Mobile
  - Property
  - TouchEvent
  - touch
---
<p>{{APIRef("Touch Events") }}</p>

<h2 id="Summary">Summary</h2>

<p>A {{jsxref("Boolean")}} value indicating whether or not the <kbd>alt</kbd> (Alternate) key is enabled when the touch event is created. If the <kbd>alt</kbd> key is enabled, the attribute's value is <code>true</code>. Otherwise, it is <code>false</code>.</p>

<p>This property is {{readonlyInline}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <em>altEnabled</em> = <em>touchEvent</em>.altKey;
</pre>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt><code>altEnabled</code></dt>
 <dd><code>true</code> if the <kbd>alt</kbd> key is enabled for this event; and <code>false</code> if the <kbd>alt</kbd> is not enabled.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates how to access the {{domxref("TouchEvent")}} key modifier properties: {{domxref("TouchEvent.altKey")}}, {{domxref("TouchEvent.ctrlKey")}}, {{domxref("TouchEvent.metaKey")}} and {{domxref("TouchEvent.shiftKey")}}.</p>

<p>In following code snippet, the {{event("touchstart")}} event handler logs the state of the event's modifier keys.</p>

<pre class="brush: js">someElement.addEventListener('touchstart', function(e) {
   // Log the state of this event's modifier keys
   console.log("altKey = " + e.altKey);
   console.log("ctrlKey = " + e.ctrlKey);
   console.log("metaKey = " + e.metaKey);
   console.log("shiftKey = " + e.shiftKey);
}, false);

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touchevent-altkey')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events','#widl-TouchEvent-altKey')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchEvent.altKey")}}</p>
